import { IListItem } from './list.item';

export interface IItem extends IListItem {
    parentCode?: string;
    geometry?: any;
    tags:string[],
    data?:any
}

export class Item implements IItem {
  public code?:string;
  public parentCode?:string;
  public tags:string[];
  public geometry?:any;
  public url?: string;
  public name?: string;
  public created?: Date;
  public updated?: Date;
  public dataDate?: Date;
  public itemType?: string;
  public sourceTask?: string;
  public size?: number;
  public state?: number;
  public data?:any;

  constructor() {  
  }
}
